org.apache.ignite.internal.pagemem

## Interface PageIdAllocator

All Known Subinterfaces:
  PageMemory, PageMemoryEx

All Known Implementing Classes:
  PageMemoryImpl, PageMemoryNoStoreImpl

    public interface PageIdAllocator

Allocates page ID's.

### Field Summary

Fields
`static byte` `FLAG_DATA`
`static byte` `FLAG_IDX`
`static int` `INDEX_PARTITION` Special partition reserved for index space.
`static int` `MAX_PARTITION_ID` Max partition ID that can be used by affinity.

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `allocatePage(int grpId, int partId, byte flags)` Allocates a page from the space for the given partition ID and the given flags.
`boolean` `freePage(int cacheId, long pageId)` The given page is free now.

### Field Detail

#### FLAG_DATA

    static final byte FLAG_DATA

See Also:
  Constant Field Values

#### FLAG_IDX

    static final byte FLAG_IDX

See Also:
  Constant Field Values

#### MAX_PARTITION_ID

    static final int MAX_PARTITION_ID

Max partition ID that can be used by affinity.

See Also:
  Constant Field Values

#### INDEX_PARTITION

    static final int INDEX_PARTITION

Special partition reserved for index space.

See Also:
  Constant Field Values

### Method Detail

#### allocatePage

    long allocatePage(int grpId,
                      int partId,
                      byte flags)
               throws IgniteCheckedException

Allocates a page from the space for the given partition ID and the given flags.

Parameters:
  `grpId` - Cache Group ID.
  `partId` - Partition ID.
Returns:
  Allocated page ID.
Throws:
  `IgniteCheckedException`

#### freePage

    boolean freePage(int cacheId,
                     long pageId)
              throws IgniteCheckedException

The given page is free now.

Parameters:
  `cacheId` - Cache Group ID.
  `pageId` - Page ID.
Throws:
  `IgniteCheckedException`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019